# Sanitizer Result Codes

## Enumerations

enum

SanitizerResult {
SANITIZER_SUCCESS = 0,
SANITIZER_ERROR_INVALID_PARAMETER = 1,
SANITIZER_ERROR_INVALID_DEVICE = 2,
SANITIZER_ERROR_INVALID_CONTEXT = 3,
SANITIZER_ERROR_INVALID_DOMAIN_ID = 4,
SANITIZER_ERROR_INVALID_CALLBACK_ID = 5,
SANITIZER_ERROR_INVALID_OPERATION = 6,
SANITIZER_ERROR_OUT_OF_MEMORY = 7,
SANITIZER_ERROR_PARAMETER_SIZE_NOT_SUFFICIENT = 8,
SANITIZER_ERROR_API_NOT_IMPLEMENTED = 9,
SANITIZER_ERROR_MAX_LIMIT_REACHED = 10,
SANITIZER_ERROR_NOT_READY = 11,
SANITIZER_ERROR_NOT_COMPATIBLE = 12,
SANITIZER_ERROR_NOT_INITIALIZED = 13,
SANITIZER_ERROR_NOT_SUPPORTED = 14,
SANITIZER_ERROR_ADDRESS_NOT_IN_DEVICE_MEMORY = 15,
SANITIZER_ERROR_UNKNOWN = 999
}

| Sanitizer result codes. More...

## Functions

SanitizerResult SANITIZERAPI | sanitizerGetResultString (SanitizerResult result, const char **str)

## Detailed Description

Error and result codes returned by Sanitizer functions.

## Enumeration Type Documentation

enum SanitizerResult

Error and result codes returned by Sanitizer functions.

Enumerator:

  SANITIZER_SUCCESS | No error.
  SANITIZER_ERROR_INVALID_PARAMETER | One or more of the parameters is invalid.
  SANITIZER_ERROR_INVALID_DEVICE | The device does not correspond to a valid CUDA device.
  SANITIZER_ERROR_INVALID_CONTEXT | The context is NULL or not valid.
  SANITIZER_ERROR_INVALID_DOMAIN_ID | The domain ID is invalid.
  SANITIZER_ERROR_INVALID_CALLBACK_ID | The callback ID is invalid.
  SANITIZER_ERROR_INVALID_OPERATION | The current operation cannot be performed due to dependency on other factors.
  SANITIZER_ERROR_OUT_OF_MEMORY | Unable to allocate enough memory to perform the requested operation.
  SANITIZER_ERROR_PARAMETER_SIZE_NOT_SUFFICIENT | The output buffer size is not sufficient to return all requested data.
  SANITIZER_ERROR_API_NOT_IMPLEMENTED | API is not implemented.
  SANITIZER_ERROR_MAX_LIMIT_REACHED | The maximum limit is reached.
  SANITIZER_ERROR_NOT_READY | The object is not ready to perform the requested operation.
  SANITIZER_ERROR_NOT_COMPATIBLE | The current operation is not compatible with the current state of the object.
  SANITIZER_ERROR_NOT_INITIALIZED | Sanitizer is unable to initialize its connection to the CUDA driver.
  SANITIZER_ERROR_NOT_SUPPORTED | The attempted operation is not supported on the current system or device
  SANITIZER_ERROR_ADDRESS_NOT_IN_DEVICE_MEMORY | The attempted device operation has a parameter not in device memory
  SANITIZER_ERROR_UNKNOWN | An unknown internal error has occurred.

## Function Documentation

SanitizerResult SANITIZERAPI sanitizerGetResultString | ( | SanitizerResult | result,
|  | const char ** | str |
| ) |  |  |

Get the descriptive string for a SanitizerResult.

Return the descriptive string for a SanitizerResult in `*str`.

Note:
  Thread-safety: this function is thread-safe.

Parameters:

  | result | The result to get the string for
  | str | Returns the string

Return values:

  | SANITIZER_SUCCESS | on success
  | SANITIZER_ERROR_INVALID_PARAMETER | if `str` is NULL or `result` is not a valid SanitizerResult.